#
# spec file for package rss-glx
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rss-glx
Version:        0.9.1
Release:        2.2
Summary:        Really Slick Screensavers Port to GLX
License:        GPL-2.0
Group:          Amusements/Toys/Screensavers
Url:            http://rss-glx.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/rss-glx/rss-glx_%{version}.tar.bz2
# PATCH-FIX-OPENSUSE
Patch:          rss-glx-optflags.patch
BuildRequires:  Mesa-devel
BuildRequires:  freealut-devel
BuildRequires:  gcc-c++
%if 0%{?suse_version} <= 1310
BuildRequires:  gnome-screensaver
%endif
BuildRequires:  kde4-filesystem
# directory ownership
BuildRequires:  kdebase4-workspace
BuildRequires:  libtool
BuildRequires:  openal-devel
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
BuildRequires:  xscreensaver
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(glu)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cool collection of 3D screensavers. Linux port of Really Slick Screensavers

%prep
%setup -n %{name}_%{version}
%patch

%build
autoreconf -fiv
%configure --disable-static \
	--enable-shared \
	--with-pic \
        --with-configdir=/etc/xscreensaver \
	--with-kdessconfigdir="%{_kde4_servicesdir}/ScreenSavers" \
	--program-prefix="%{name}-"
make %{?_smp_mflags}

%install
%make_install
%kde_post_install
find %{buildroot} -name "*.la" -type f -print -delete
#no -devel files here..
rm -rvf %{buildroot}%{_libdir}/*.so

# RPM don't need rss-glx_install.pl to be installed
rm -rf %{buildroot}%{_bindir}/%{name}-%{name}_install.pl

# FIX boo#901450
mkdir -pv %{buildroot}%{_libdir}/xscreensaver
pushd %{buildroot}%{_bindir}
for i in `ls` ; do
	ln -sf %{_bindir}/${i} %{buildroot}%{_libdir}/xscreensaver
done
popd

# add prefix for desktop files
pushd %{buildroot}%{_kde4_servicesdir}/ScreenSavers
for i in `ls . -I rss-glx-*.desktop | sed "s/\.desktop//"` ; do
	mv ${i}.desktop rss-glx-${i}.desktop
	sed -i "s/${i}/rss-glx-${i}/" rss-glx-${i}.desktop
done
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config %{_sysconfdir}/xscreensaver/*
%{_bindir}/*
%{_libdir}/lib*
%{_mandir}/*/*%{ext_man}
%_kde4_servicesdir/ScreenSavers/*
%dir %{_libdir}/xscreensaver
%{_libdir}/xscreensaver/*

%changelog
* Wed Oct 15 2014 i@marguerite.su
- fix boo#901450
  * soft-link binaries from /usr/bin to %%%%{_libdir}/xscreensaver
- use --program-prefix=rss-glx to distinguish from those
  screensavers shipped by xscreensaver itself.
* Thu Sep 20 2012 coolo@suse.com
- add pkgconfig(glu) as explicit buildrequire
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Nov 25 2011 coolo@suse.com
- change the license to GPL-2.0 as that's what COPYING says and
  I found at least one file without "or later"
* Thu Sep 22 2011 coolo@suse.com
- cleanup spec file
* Fri Sep  2 2011 crrodriguez@opensuse.org
- Fix build with no-add-needed, just by not using static linking
- Fix lack of optflags due to broken configure script
* Thu Jun 24 2010 pascal.bleser@opensuse.org
- update to 0.9.1:
  * added port of Pixel City
  * replaced methods deprecated by ImageMagick
- fix build on < 11.2 by defining _kde4_servicesdir if not already defined
* Thu Dec 24 2009 coolo@novell.com
- initial package
